#
# spec file for package python3-logilab-astng
#
# Copyright (c) 2013 SUSE LINUX Products GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


Name:           python3-logilab-astng
Version:        0.24.3
Release:        7.2
Url:            http://www.logilab.org/projects/astng
Summary:        Python Python Abstract Syntax Tree (New Generation)
License:        LGPL-2.1+
Group:          Development/Libraries/Python
Source:         https://pypi.python.org/packages/source/l/logilab-astng/logilab-astng-%{version}.tar.gz
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
BuildRequires:  python3
BuildRequires:  python3-2to3
BuildRequires:  python3-devel
BuildRequires:  python3-logilab-common
BuildRequires:  python3-nose
Requires:       python3 >= %{py3_ver}
Requires:       python3-logilab-common
BuildArch:      noarch

%description
The aim of this module is to provide a common base representation of
python source code for projects such as pychecker, pyreverse, pylint...
Well, actually the development of this library is essentially governed
by pylint's needs.

It extends class defined in the compiler.ast [1] module with some
additional methods and attributes. Instance attributes are added by a
builder object, which can either generate extended ast (let's call them
astng ;) by visiting an existant ast tree or by inspecting living
object. Methods are added by monkey patching ast classes.

Please send any comment, patch or question to the python-projects
mailing-list. Before asking a question, please first search the
archives in case it would have already been answered. You may want to
use google and add "site:lists.logilab.org" to your keywords to narrow
your search. We will soon provide our own search engine.

%prep
%setup -n logilab-astng-%{version}

%build
python3 setup.py build

%install
python3 setup.py install --prefix=%{_prefix} --root="%{buildroot}"

# %check
# nosetests-%{py3_ver} # Use nosetests because upstream testsuite script is kind of broken

%files
%defattr(-,root,root,-)
%doc README COPYING COPYING.LESSER ChangeLog
%{python3_sitelib}/*
# Avoid conflict with python-logilab-common:
%exclude %{python3_sitelib}/logilab/__init__.py
# we don't want to package the tests
%exclude %{python3_sitelib}/logilab/astng/test

%changelog
* Fri Jun 21 2013 speilicke@suse.com
- Use upstream URL
* Mon Apr 30 2012 toddrme2178@gmail.com
- Removed tests for unsupported openSUSE versions
* Thu Apr 26 2012 toddrme2178@gmail.com
- Add python 3 package
- Change license to LGPL 2.1+
